/*
 * DefineConstants.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using Eagle._Attributes;
using Eagle._Containers.Public;

namespace Eagle._Constants
{
    [ObjectId("428a5842-dcd7-46e7-8b40-decfabb331a2")]
    internal static class DefineConstants
    {
        public static readonly StringList OptionList = new StringList(new string[] {
#if APPDOMAINS
            "APPDOMAINS",
#endif

#if APPROVED_VERBS
            "APPROVED_VERBS",
#endif

#if ASSEMBLY_RELEASE
            "ASSEMBLY_RELEASE",
#endif

#if ASSEMBLY_TAG
            "ASSEMBLY_TAG",
#endif

#if ASSEMBLY_TEXT
            "ASSEMBLY_TEXT",
#endif

#if ASSEMBLY_URI
            "ASSEMBLY_URI",
#endif

#if BREAK_ON_EXITING
            "BREAK_ON_EXITING",
#endif

#if BREAKPOINTS
            "BREAKPOINTS",
#endif

#if CACHE_DICTIONARY
            "CACHE_DICTIONARY",
#endif

#if CACHE_STATISTICS
            "CACHE_STATISTICS",
#endif

#if CALLBACK_QUEUE
            "CALLBACK_QUEUE",
#endif

#if CAS_POLICY
            "CAS_POLICY",
#endif

#if CODE_ANALYSIS
            "CODE_ANALYSIS",
#endif

#if CONSOLE
            "CONSOLE",
#endif

#if DAEMON
            "DAEMON",
#endif

#if DATA
            "DATA",
#endif

#if DEAD_CODE
            "DEAD_CODE",
#endif

#if DEBUG
            "DEBUG",
#endif

#if DEBUGGER
            "DEBUGGER",
#endif

#if DEBUG_TRACE
            "DEBUG_TRACE",
#endif

#if DEBUG_WRITE
            "DEBUG_WRITE",
#endif

#if DRAWING
            "DRAWING",
#endif

#if DYNAMIC
            "DYNAMIC",
#endif

#if EAGLE
            "EAGLE",
#endif

#if EMBEDDED_LIBRARY
            "EMBEDDED_LIBRARY",
#endif

#if EXECUTE_CACHE
            "EXECUTE_CACHE",
#endif

#if EXPRESSION_FLAGS
            "EXPRESSION_FLAGS",
#endif

#if FAST_ERRORCODE
            "FAST_ERRORCODE",
#endif

#if FAST_ERRORINFO
            "FAST_ERRORINFO",
#endif

#if HAVE_SIZEOF
            "HAVE_SIZEOF",
#endif

#if HISTORY
            "HISTORY",
#endif

#if IA64
            "IA64",
#endif

#if INTERACTIVE_COMMANDS
            "INTERACTIVE_COMMANDS",
#endif

#if INTERNALS_VISIBLE_TO
            "INTERNALS_VISIBLE_TO",
#endif

#if ISOLATED_INTERPRETERS
            "ISOLATED_INTERPRETERS",
#endif

#if ISOLATED_PLUGINS
            "ISOLATED_PLUGINS",
#endif

#if LIBRARY
            "LIBRARY",
#endif

#if LICENSING
            "LICENSING",
#endif

#if LIST_CACHE
            "LIST_CACHE",
#endif

#if MONO
            "MONO",
#endif

#if MONO_BUILD
            "MONO_BUILD",
#endif

#if MONO_HACKS
            "MONO_HACKS",
#endif

#if NATIVE
            "NATIVE",
#endif

#if NATIVE_PACKAGE
            "NATIVE_PACKAGE",
#endif

#if NETWORK
            "NETWORK",
#endif

#if NET_20
            "NET_20",
#endif

#if NET_20_FAST_ENUM
            "NET_20_FAST_ENUM",
#endif

#if NET_20_ONLY
            "NET_20_ONLY",
#endif

#if NET_20_SP1
            "NET_20_SP1",
#endif

#if NET_20_SP2
            "NET_20_SP2",
#endif

#if NET_30
            "NET_30",
#endif

#if NET_35
            "NET_35",
#endif

#if NET_40
            "NET_40",
#endif

#if NON_WORKING_CODE
            "NON_WORKING_CODE",
#endif

#if NOTIFY
            "NOTIFY",
#endif

#if NOTIFY_ACTIVE
            "NOTIFY_ACTIVE",
#endif

#if NOTIFY_GLOBAL
            "NOTIFY_GLOBAL",
#endif

#if NOTIFY_OBJECT
            "NOTIFY_OBJECT",
#endif

#if OBSOLETE
            "OBSOLETE",
#endif

#if PARSE_CACHE
            "PARSE_CACHE",
#endif

#if PATCHLEVEL
            "PATCHLEVEL",
#endif

#if POLICY_TRACE
            "POLICY_TRACE",
#endif

#if PREVIOUS_RESULT
            "PREVIOUS_RESULT",
#endif

#if RANDOMIZE_ID
            "RANDOMIZE_ID",
#endif

#if REMOTING
            "REMOTING",
#endif

#if SAMPLE
            "SAMPLE",
#endif

#if SERIALIZATION
            "SERIALIZATION",
#endif

#if SHARED_ID_POOL
            "SHARED_ID_POOL",
#endif

#if SHELL
            "SHELL",
#endif

#if SOURCE_ID
            "SOURCE_ID",
#endif

#if SOURCE_TIMESTAMP
            "SOURCE_TIMESTAMP",
#endif

#if STATIC
            "STATIC",
#endif

#if TCL
            "TCL",
#endif

#if TCL_KITS
            "TCL_KITS",
#endif

#if TCL_THREADED
            "TCL_THREADED",
#endif

#if TCL_THREADS
            "TCL_THREADS",
#endif

#if TCL_UNICODE
            "TCL_UNICODE",
#endif

#if TCL_WRAPPER
            "TCL_WRAPPER",
#endif

#if TEST
            "TEST",
#endif

#if THREADING
            "THREADING",
#endif

#if THROW_ON_DISPOSED
            "THROW_ON_DISPOSED",
#endif

#if TRACE
            "TRACE",
#endif

#if UNIX
            "UNIX",
#endif

#if VERBOSE
            "VERBOSE",
#endif

#if WEB
            "WEB",
#endif

#if WINDOWS
            "WINDOWS",
#endif

#if WINFORMS
            "WINFORMS",
#endif

#if WIX_30
            "WIX_30",
#endif

#if WIX_35
            "WIX_35",
#endif

#if WIX_36
            "WIX_36",
#endif

#if X64
            "X64",
#endif

#if X86
            "X86",
#endif

#if XML
            "XML",
#endif

            null
        });
    }
}
