/*
 * TypedInstance.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System;
using Eagle._Attributes;

namespace Eagle._Components.Public
{
    [ObjectId("c71b2e97-868d-453d-94f5-53e3f31e16ec")]
    public sealed class TypedInstance
    {
        public TypedInstance(
            Type type,
            ObjectFlags flags,
            string objectName,
            object @object
            )
        {
            this.type = type;
            this.flags = flags;
            this.objectName = objectName;
            this.@object = @object;
        }

        ///////////////////////////////////////////////////////////////////////

        private Type type;
        public Type Type
        {
            get { return type; }
        }

        ///////////////////////////////////////////////////////////////////////

        private ObjectFlags flags;
        public ObjectFlags Flags
        {
            get { return flags; }
        }

        ///////////////////////////////////////////////////////////////////////

        private string objectName;
        public string ObjectName
        {
            get { return objectName; }
        }

        ///////////////////////////////////////////////////////////////////////

        private object @object;
        public object Object
        {
            get { return @object; }
        }
    }
}
