/*
 * PointList.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System.Collections.Generic;
using System.Drawing;
using Eagle._Attributes;

namespace Eagle._Containers.Private
{
    [ObjectId("45771676-295c-4b08-be63-c941d4c526e2")]
    internal sealed class PointList : List<Point>
    {
        public PointList()
            : base()
        {
            // do nothing.
        }

        ///////////////////////////////////////////////////////////////////////////////////////////////

        public PointList(IEnumerable<Point> collection)
            : base(collection)
        {
            // do nothing.
        }

        ///////////////////////////////////////////////////////////////////////////////////////////////

        public PointList(int capacity)
            : base(capacity)
        {
            // do nothing.
        }
    }
}
