/*
 * DefineConstants.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using Eagle._Attributes;
using Eagle._Containers.Public;

namespace Eagle._Components.Private
{
    [ObjectId("976e4dbd-f384-4f14-be61-eb6eb1012f78")]
    internal static class DefineConstants
    {
        public static readonly StringList OptionList = new StringList(new string[] {
#if CONSOLE
            "CONSOLE",
#endif

#if DAEMON
            "DAEMON",
#endif

#if DEBUG
            "DEBUG",
#endif

#if DEBUGGER
            "DEBUGGER",
#endif

#if MONO_BUILD
            "MONO_BUILD",
#endif

#if NOTIFY
            "NOTIFY",
#endif

#if NOTIFY_OBJECT
            "NOTIFY_OBJECT",
#endif

#if SHELL
            "SHELL",
#endif

#if THROW_ON_DISPOSED
            "THROW_ON_DISPOSED",
#endif

#if TRACE
            "TRACE",
#endif

            null
        });
    }
}
